Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 724506 - dev-perl/Devel-NYTProf-6.60.0 uses "gcc" instead of "gcc -E" for c-preprocessing (sandbox: ACCESS DENIED: fopen_wr: /usr/include/time.h.gch)
Summary: dev-perl/Devel-NYTProf-6.60.0 uses "gcc" instead of "gcc -E" for c-preprocess...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: perl-toolchain
  Show dependency tree
 
Reported: 2020-05-21 20:58 UTC by Toralf Förster
Modified: 2021-05-24 13:57 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.25 KB, text/plain)
2020-05-21 20:58 UTC, Toralf Förster
Details
dev-perl:Devel-NYTProf-6.60.0:20200521-203641.log (dev-perl:Devel-NYTProf-6.60.0:20200521-203641.log,3.10 KB, text/plain)
2020-05-21 20:58 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,178.62 KB, text/plain)
2020-05-21 20:58 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,13.44 KB, application/x-bzip)
2020-05-21 20:58 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,1.76 KB, application/x-bzip)
2020-05-21 20:58 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-05-21 20:58:33 UTC
Bummer, sandbox file does not exist: /var/tmp/portage/dev-perl/Devel-NYTProf-6.60.0/temp/sandbox.log

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome-20200517-150404

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-8.3.1
 [2] x86_64-pc-linux-gnu-10.1.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.43.1 *
The following VMs are available for generation-2:
*)	IcedTea JDK 3.16.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.0.2

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Thu 21 May 2020 08:05:39 PM UTC

emerge -qpvO dev-perl/Devel-NYTProf
[ebuild  N    ] dev-perl/Devel-NYTProf-6.60.0  USE="-examples -test"
Comment 1 Toralf Förster gentoo-dev 2020-05-21 20:58:35 UTC
Created attachment 640822 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-05-21 20:58:38 UTC
Created attachment 640824 [details]
dev-perl:Devel-NYTProf-6.60.0:20200521-203641.log
Comment 3 Toralf Förster gentoo-dev 2020-05-21 20:58:41 UTC
Created attachment 640826 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-05-21 20:58:44 UTC
Created attachment 640828 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-05-21 20:58:46 UTC
Created attachment 640830 [details]
logs.tbz2
Comment 6 Larry the Git Cow gentoo-dev 2020-07-07 12:01:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b33708c82c512b98ac90631edbc10a4bcb06cce6

commit b33708c82c512b98ac90631edbc10a4bcb06cce6
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2020-07-07 12:00:12 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2020-07-07 12:00:45 +0000

    dev-perl/Devel-NYTProf: -r bump fix for bug  #724506
    
    - EAPI7
    - Add subslot deps for zlib
    - Ensure CFLAGS passed to make/compiler
    - Fix problem introduced by -Dcpp=$(tc-getCPP) in dev-lang/perl where
      Devel-NYTProf incorrectly uses $Config{cpp} instead of
      $Config{cpprun}, which results in trying to invoke $GCC to
      pre-process headers for grep-based feature detection, where it
      *SHOULD* be invoking "$GCC -E", which in turn, leads to trying
      to compile system headers and in turn, writing precompiled headers
      to /usr/include, tripping a sandbox violation.
    
    Bug: https://bugs.gentoo.org/724506
    Bug: https://github.com/timbunce/devel-nytprof/issues/139
    Package-Manager: Portage-2.3.100, Repoman-2.3.22
    Signed-off-by: Kent Fredric <kentnl@gentoo.org>

 .../Devel-NYTProf/Devel-NYTProf-6.60.0-r1.ebuild   | 56 ++++++++++++++++++++++
 .../files/Devel-NYTProf-6.06-cpprun.patch          | 36 ++++++++++++++
 dev-perl/Devel-NYTProf/metadata.xml                |  1 +
 3 files changed, 93 insertions(+)
Comment 7 Andreas K. Hüttel gentoo-dev 2021-05-24 13:57:08 UTC
Fixed in -r1